Bug 35642 - Upgrade Font Face Observer library from v2.0.3 to v2.3.0
Summary: Upgrade Font Face Observer library from v2.0.3 to v2.3.0
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 35584 20554
Blocks:
  Show dependency treegraph
 
Reported: 2023-12-22 15:22 UTC by Owen Leonard
Modified: 2024-01-12 11:18 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0 (14.42 KB, patch)
2023-12-22 15:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0 (14.46 KB, patch)
2023-12-31 19:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0 (14.55 KB, patch)
2024-01-12 11:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-12-22 15:22:43 UTC
The copy of Font Face Observer we use in the OPAC is from 2016. We can upgrade it to a version which was released in 2022.
Comment 1 Owen Leonard 2023-12-22 15:36:25 UTC
Created attachment 160251 [details] [review]
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0

This patch upgrades the Font Face Observer library from v2.0.3 to the
latest release, v2.3.0. The file is moved to its own directory for
consistency's sake.

To test, apply the patch and clear your browser cache.

- Load any page in the OPAC.
- The custom font we supply for the OPAC (Noto Sans) should load
  correctly.
- If you want to see more about the functionality of the library, use
  your browser's developer tools to simulate a slow connection.
  - The page should load with a default sans-serif font first, and then
    the downloaded font will be applied.
  Note: If you throttle your connection speed *too* much, the loading of
  the custom font will time out and you'll only see the default
  sans-serif font.
Comment 2 David Nind 2023-12-31 19:29:49 UTC
Created attachment 160382 [details] [review]
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0

This patch upgrades the Font Face Observer library from v2.0.3 to the
latest release, v2.3.0. The file is moved to its own directory for
consistency's sake.

To test, apply the patch and clear your browser cache.

- Load any page in the OPAC.
- The custom font we supply for the OPAC (Noto Sans) should load
  correctly.
- If you want to see more about the functionality of the library, use
  your browser's developer tools to simulate a slow connection.
  - The page should load with a default sans-serif font first, and then
    the downloaded font will be applied.
  Note: If you throttle your connection speed *too* much, the loading of
  the custom font will time out and you'll only see the default
  sans-serif font.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2024-01-12 11:18:26 UTC
Created attachment 160932 [details] [review]
Bug 35642: Upgrade Font Face Observer library from v2.0.3 to v2.3.0

This patch upgrades the Font Face Observer library from v2.0.3 to the
latest release, v2.3.0. The file is moved to its own directory for
consistency's sake.

To test, apply the patch and clear your browser cache.

- Load any page in the OPAC.
- The custom font we supply for the OPAC (Noto Sans) should load
  correctly.
- If you want to see more about the functionality of the library, use
  your browser's developer tools to simulate a slow connection.
  - The page should load with a default sans-serif font first, and then
    the downloaded font will be applied.
  Note: If you throttle your connection speed *too* much, the loading of
  the custom font will time out and you'll only see the default
  sans-serif font.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>